/*****************************************************************************

   (c) Copyright Hewlett-Packard Company, 1998.  All rights are
   reserved.  Copying or other reproduction of this program except
   for archival purposes is prohibited without the prior written
   consent of Hewlett-Packard Company.

                   RESTRICTED RIGHTS LEGEND

   Use, duplication, or disclosure by the Government is subject to
   restrictions as set forth in paragraph (b) (3) (B) of the Rights
   in Technical Data and Computer Software clause in DAR 7-104.9(a).

   HEWLETT-PACKARD COMPANY
   Boise, Idaho, USA

******************************************************************************/

/****************************** NOTICE ***************************************

HEWLETT-PACKARD COMPANY MAKES NO WARRANTIES, EXPRESS OR IMPLIED,  
INCLUDING WITHOUT LIMITATION THE IMPLIED WARRANTIES OF 
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, REGARDING THE
SOFTWARE OR TECHNICAL INFORMATION.   HEWLETT-PACKARD COMPANY DOES
NOT WARRANT, GUARANTEE OR MAKE ANY REPRESENTATIONS REGARDING THE 
USE OR THE RESULTS OF THE USE OF THE SOFTWARE OR TECHNICAL 
INFORMATION IN TERMS OF ITS CORRECTNESS, ACCURACY, RELIABILITY, 
CURRENTNESS, OR OTHERWISE.   THE ENTIRE RISK AS TO THE RESULTS AND 
PERFORMANCE OF THE SOFTWARE OR TECHNICAL INFORMATION IS ASSUMED
BY YOU.  The exclusion of implied warranties is not permitted by some 
jurisdictions.  The above exclusion may not apply to you.

IN NO EVENT WILL HEWLETT-PACKARD COMPANY BE LIABLE TO YOU FOR ANY 
CONSEQUENTIAL, INCIDENTAL OR INDIRECT DAMAGES (INCLUDING DAMAGES 
FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS 
INFORMATION AND THE LIKE)  ARISING OUT OF THE USE OR INABILITY TO USE 
THE SOFTWARE OR TECHNICAL INFORMATION EVEN IF HEWLETT-PACKARD HAS 
BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.  Because some jurisdictions 
do not allow the exclusion or limitation of liability for consequential
or incidental damages, the above limitations may not apply to you.  
Hewlett-Packard liability to you for actual damages from any cause whatsoever,
 and regardless of the form of the action (whether in contract, tort 
including negligence, product liability or otherwise), will be limited 
to US $50.

Copyright (c) 1998 Hewlett-Packard Company.  All rights reserved.

*****************************************************************************/

#ifndef DEBUG_H
#define DEBUG_H

#ifdef DEBUG
#define DBG1(x1) printf(x1)
#define DBG2(x1, x2) printf(x1, x2)
#define DBG3(x1, x2, x3) printf(x1, x2, x3)
#define DBG4(x1, x2, x3, x4) printf(x1, x2, x3, x4)
#define DBG5(x1, x2, x3, x4, x5) printf(x1, x2, x3, x4, x5)
#define DBG6(x1, x2, x3, x4, x5, x6) printf(x1, x2, x3, x4, x5, x6)
#define DBG7(x1, x2, x3, x4, x5, x6, x7) printf(x1, x2, x3, x4, x5, x6, x7)
#else
#define DBG1(x1)
#define DBG2(x1, x2)
#define DBG3(x1, x2, x3)
#define DBG4(x1, x2, x3, x4)
#define DBG5(x1, x2, x3, x4, x5)
#define DBG6(x1, x2, x3, x4, x5, x6)
#define DBG7(x1, x2, x3, x4, x5, x6, x7)
#endif

#endif
